Subject: [bug#49859] [PATCH 3/6] gnu: Remove adb and fastboot.

From: Leo Famulari <[email-masked]>
Date: Tue, 3 Aug 2021 23:01:23 -0400

On Tue, Aug 03, 2021 at 10:53:03PM -0400, Leo Famulari wrote:
> Looking at android.scm, I see that our packages are based on the Git tag
> 7.1.2_r36 from this repo:

I checked the license for 'libcrypto.so' on my phone, which is on
Android 11. And they are not even using OpenSSL anymore, but instead
BoringSSL. So, maybe there is some intermediate version of Android
between 7 and 11 that uses OpenSSL 1.1.1 (released September 2018).

https://boringssl.googlesource.com/boringssl/

Or, maybe we can move these packages (openssl-1.0 and these Android 7
packages) to guix-past. Or maybe someone has some other ideas.